package com.friday.operation.api.keepalive.constant.smartrpa;

/**
 * @Author YaoYao
 * @Date Created In 15:30 2022/12/7
 * @Description 指令集
 * @Modified By
 */
public enum ExecAction {
    Start("Start", "启动"),
    Terminate("Terminate", "终止"),
    Pause("Pause", "暂停"),
    Resume("Resume", "继续"),
    UpdateJobState("UpdateJobState", "更新任务状态"),
    SetMachineState("SetMachineState", "重置机器状态"),
    EnableLicense("EnableLicense", "获取许可"),
    DisableLicense("DisableLicense", "回收许可")
    ;

    private String action;
    private String description;

    ExecAction(String action, String description) {
            this.action = action;
            this.description = description;
    }

    public String getAction() {
            return action;
        }

}
